iPhone help with recovering to 6.1.2

Discussion in 'Jailbreaks and iOS Hacks' started by gillroyale, Apr 4, 2013.

  1. gillroyale macrumors newbie

    Joined:
    Apr 4, 2013
    #1
    Hi. New to forum. Require some assisstance.

    I have an iphone 4 jailbroken and chillen on 5.1.1. I want to accept ota update to 6.1.3, losing jailbreak, and recover to 6.1.2 to jailbreak again.
    I know it sounds redundant and you may ask, "why would you WANT to do that?"

    Well, when i open cydia i get 3 errors.

    Wow, you exceeded the number of package names this APT is capable of.
    Problem with MergeList
    The package lists or status file could not be parsed or opened.

    I assume this means i have too many packages to list or something. When i go into packages in cydia i get an empty list. Whenever i search for packages in repos, or just try to view lists of packages in repos i get the same blank stare from the iphone as if it's saying, "seriously you want to download MORE?"

    This is why I want to update. Plus, I'm hoping to get some better data signal and whatnot.

    ANYWAY. Heres my inquiry. If I accept the OTA and lost jb, I lose access to cydia. This means I lose acess to my shsh blobs as well right? So, how would I be able to downgrade back to 6.1.2? I would assume I could save my blobs now, then update, then downgrade. But I dont even know how to save my blobs with redsnow, and TU wont play with my cpu. I have the latest version of java and TU and blahblahblah, lets not beat that dead horse.

    My other problem is that my iphone is the source of internet for my laptop. So I'm not sure how I'd update straight to 6.1.2 with redsnow retrieving the blobs remotely from cydia because after selecting the ipsw and toggling redsnow to retrieve the blob remotely and putting the phone in DFU mode, my laptop will lose its internet and be unable to contact cydia right?

    ANY help is appreciated. I'm to the point of pulling my hair out now lol. Thank you in advance.

    http://www.unlockboot.com/2013/03/downgrade-from-ios-613-to-ios-612.html

    This is where I read how to upgrade/downgrade using redsnow. It doesnt state whether the phone needs to be rooted for redsnow to get the blobs though. But like I said, when the phone enters dfu, laptop loses internet/redsnow loses cydia, then I'm in a pickle.
     
  2. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #2
    The message you are getting from Cydia is pretty clear, you have too many repo's installed, not packages.

    Remove some repo's and your problem is solved.

    ----------

    Don't do OTA updates, it will give you bad SHSH's as the Ram disk is different.

    Did you do an OTA to 5.1.1 as well, if you did your blobs are worthless and you cannot update to 6.1.2

    Did you save SHSH manually or do you only have the redsn0w 6.1.2 blobs? If they are probably now good as there was a problem with Cydia saving 6.0-6.1.2 blobs.

    It sounds like you can solve your problems easily with the fix mentioned above, better not to update and certainly not via OTA.
     
  3. gillroyale thread starter macrumors newbie

    Joined:
    Apr 4, 2013
    #3
    I did indeed update to 5.1.1 OTA, but wasnt jb then. I've been on it since I jb my device.
    How can I check if the blobs are any good? Cydia shows that it has the blobs I need saved.

    I have no blobs stored locally on my cpu. Which I think I would need to recover to 6.1.2 with no internet. I don't even know how to get the blobs saved locally with redsnow.

    But how would I accomlish this without the blobs? Or an active internet connection?

    So will updating to 6.1.2 improve the funcionality of my radio at all? I desperately need better data and voice in my area. I know other sprint customers who have iphones who get fine service.

    Thank you for the quick reply and useful information.
     
  4. BumpyFlatline macrumors 68030

    BumpyFlatline

    Joined:
    Apr 11, 2012
    #4
    Use the newest version of iFaith (ver 1.56) to check your blobs. But if you're solely relying on Cydia for the blobs, then like trijet said, the iOS6.x blobs are almost definitely no good. Just delete repos until the error goes away and stay with your current jailbreak. That's the best advice.
     
  5. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #5
    download the latest version of iFath (v1.5.6) and run it. plug in your iphone 4 and click "show available shsh caches on server". After it finds it, save them.

    See if it marks them as valid or not. if it's not valid, it's best you stay on ios 5.1.1. since you did not manually save your shsh blobs, i'm pretty sure the shsh blobs that you have for ios 6 is invalid.

    for your problem, it's easy to fix. just keep deleting sources until the error doesn't show up anymore. you have more packages than cydia can handle.

    no, updating to ios 6.x will not improve your signal reception. the signal you get is dependent on your carrier. do these sprint customers get fine service exactly where you are or elsewhere?
     
  6. gillroyale, Apr 4, 2013
    Last edited: Apr 4, 2013

    gillroyale thread starter macrumors newbie

    Joined:
    Apr 4, 2013
    #6
    I have another inquiry. I'm unsure of everyones standings on such matters and exploits but I use iap cracker and it's stopped working. I tried reinstalling it and turning my phone off and on again. I also tried locallapstore or w/e its called to no avail. I didnt have them both installed at the same time, I made sure to remore iap cracker before installing the other one and vice versa. I assumed this was part of my Cydia problem, but now that thats solved I dont know what it could be.

    Another problem I have (ot) is this is actually my girlfriends phone. She and her x-husband had gotten sprint and matching iphones together. He has an apple id that both phones were synced with so when he downloaded an app, she would be prompted to enter the pw for his account and the app would install on her phone as well. She got the phone taken off his plan and put onto her own. Still though, when he downloads an app, shes prompted to enter his apple id password which annoys me to no end. It also works the other way around I think. How can I remedy this? And will I lose all the apps we downloaded with his apple id?

    btw ifaith says 6.0.1 and 6.1.2 aptickets may be incomplete. it only verified 5.1.1. and like a good boy it went and fetched 6.1.3 for me lol. what a handy little tool. :)
     
  7. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #7
    discussion of pirated stuff are not allowed on this forum.

    under settings -> itunes & app stores, is "automatic downloads" enabled? if so, disable it.

    yes, do not update to 6.1.2 with those shsh blobs, they are not valid and will put your device into a soft dfu loop should you decide to. just stay on ios 5.1.1, you are not missing much by staying on ios 5. 6.1.3 shsh blobs are useless as that version is not jailbreakable but i guess it's nice to have the shsh blobs for all the versions :)
     
  8. BumpyFlatline macrumors 68030

    BumpyFlatline

    Joined:
    Apr 11, 2012
    #8
    He could always use a tethered jailbreaking on 6.1.3 if he really wanted iOS6 badly enough. But I agree, the OP should just stay on 5.1.1. The benefits on 5.1.1 outweigh the benefits on 6.1.3.
     
  9. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #9
    As you updated to 5.1.1 vi OTA all your blobs are bad anyway. You cannot restore to 5.1.1.

    Check with ifaith if 6.1.2 blobs are valid.

    Only option is to stay at 5.1.1 and be careful with your device, or restore to 6.1.3 and tether jailbreak.

    Highly recommended to stay on 5.1.1

    Use redsn0w extras/shsh blobs/fetch or /new to get blobs localy
    Use iFaith to get blobs locally.

    Once TinyUmbrella gets updated you can also save blobs locally with that.
     

Share This Page